setwd("C:/R/S&P 500")
options(stringsAsFactors = FALSE)

dir_raw = "processed/single/"
dir_proc = "processed/final/"


# Run this for h_GK, volume...
ident = "h_GK"


for(n in 1:30){
data      = read.csv2(paste(dir_raw, ident, "_", n, ".csv", sep="") )
data$date = as.Date(data$date, "%Y-%m-%d")

m = dim(data)[2]

if(n == 1){
  data_comp = data
}else{
  data_comp = cbind(data_comp, data[, 2:m])
}
}
write.csv2(data_comp, paste(dir_proc, ident, ".csv" , sep=""), row.names = FALSE)
